summaryrefslogtreecommitdiff
path: root/debian/tests/python.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/python.sh')
-rwxr-xr-xdebian/tests/python.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/debian/tests/python.sh b/debian/tests/python.sh
new file mode 100755
index 0000000..b66e101
--- /dev/null
+++ b/debian/tests/python.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+for py3ver in $(py3versions -vs)
+do
+ echo "Running tests with Python ${py3ver}."
+ /usr/bin/python${py3ver} -B debian/tests/python.py
+ echo "---------"
+done
+